<script setup lang="ts">
import { useRouter } from 'vue-router'
import { watch } from 'vue'
import { app_ready, app_routes } from '~/store/app'

const router = useRouter()
watch(
  () => app_ready.value,
  (val) => {
    if (val)
      router.push({ name: app_routes.value?.[0]?.name })
  },
  {
    immediate: true,
  },
)
</script>

<template>
  <div :loading="true" class="h-screen w-screen" />
</template>
